# Default values for rancher-turtles-providers.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

# providers: Providers configuration.
providers:
  # addonFleet: Cluster API Add-on Provider for Fleet (CAAPF).
  addonFleet:
    enabled: true
    namespace: fleet-addon-system
    enableAutomaticUpdate: true
    version: "v0.12.0"
  bootstrapRKE2:
    enabled: true
    namespace: rke2-bootstrap-system
    enableAutomaticUpdate: true
    version: "v0.21.1"
  controlplaneRKE2:
    enabled: true
    namespace: rke2-control-plane-system
    enableAutomaticUpdate: true
    version: "v0.21.1"
  infrastructureMetal3:
    # enabled: Enables the installation of this provider.
    enabled: true
    # namespace: The namespace where the provider manifests will be applied.
    namespace: capm3-system
    # enableAutomaticUpdate: Allows the provider to be updated automatically whenever this chart is updated.
    enableAutomaticUpdate: true
  ipamMetal3:
    # enabled: Enables the installation of this provider.
    enabled: true
    # namespace: The namespace where the provider manifests will be applied.
    namespace: metal3-ipam-system
    # enableAutomaticUpdate: Allows the provider to be updated automatically whenever this chart is updated.
    enableAutomaticUpdate: true
